Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Truong_AAn

[Yêu cầu] Lisp xuất hình chiếu từ solid

Các bài được khuyến nghị

Em mới tham gia cadviet cũng được một thời gian chưa lâu. Em thích mấy cái autolisp nhưng chả hiểu lập trình thế nào nên chẳng viết ra được. Hôm nay post bài này nhờ các cao thủ về autolisp viết giúp em cái lisp xuất hình chiếu 2d từ môt khối solid 3d. Mong các pác quan tâm viết giup em với.

yêu cầu thế này:

Em có một solid 3d bên model em muốn lấy một hình chiếu 2D của solid đó lên một mặt phẳng của hệ trục tọa độ ( đầy đủ đường khuất) mà không cần phải qua layout dùng lệnh SOLPROF

Mong các pác giúp em với Thks các pác trước nha

file em đây

http://www.cadviet.com/upfiles/3/106444_xuathc.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu bạn muốn xuât 1 hình chiếu len mặt phẳng tọa độ thì dung lệnh: flatshot la ok ma. lenh nay chỉ có từ autocad2008 tro di thoi..

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tớ đã gửi lisp xuất 6 hình chiếu 1 lúc. cho bạn rồi. co thắc mắc gì. anh em mình cùng nhau trao đổi nhé. to cũng tham khảo cua mấy bậc tiền bối trên diễn dàn rồi sửa lại. và thêm 1 số tiện ích thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn ơi! ban lam trong nghành gì vậy ạ. nếu mà cơ khí thì được. vì lip này chỉ xuất  hình chiếu dạng solid thôi. chứ surface thi không được bạn ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tớ là lính mới.. mới tập tõm autolisp.. và cảm thấy những điều autolisp làm thật kỳ diệu...mong anh em trong diễn đàn cùng nhau chia sẻ để cùng nhau tiến bộ.

sau đây là lip mình mày mò va tham khảo ý kiến các anh em trên diễn đàn.

đây là lisp ve trục trong cơ khí. vẽ nhanh, lấy luôn kích thước các doan trục. vẽ luôn cả đường tậm

rất dễ thực hiện vì mỗi bước đều có hướng dẫn trên dòng command:, đọc kỹ những dòng đó nha

 

(Defun c:T6() (setvar "dimtxt" 2.5);

(setvar "dimdli" 2.8) ; 

 (setvar "dimasz" 1.2); 

 (setvar "dimclre" 82) ;
 (setvar "dimclrt" 82) ; 

 (setvar "dimclrd" 82);  
 (setvar "dimtad" 0)
(vl-load-com)
(command "ucs" "W")
(command "LTSCALE" "3")
(command "undo" "be")
(setq a (getpoint "\n xin chao! day la chuong trinh ve truc trong co khi. Duoc viet boi <<nguyenbd159@Gmail.com>>. hay nhap diem dau tien cua doan truc: "))
(setq b (getpoint a"\n VUI LONG NHAP CHIEU DAI DOAN TRUC : "))
(command ".line" a b "")
(if (= droffld nil)
(setq droffld1 2.00)
(setq droffld1 droffld)
)
(setq
droffld (GETREAL (strcat "\nVUI LONG NHAP DUONG KINH TRUC. SAU DO CHON DOAN THANG VUA VE TREN DESTOP TRU CAC KICH THUOC TRUC : <" (rtos droffld1 2 2) ">"))
)
(if (= droffld nil)
(setq droffld droffld1)
)

(if (= droffled nil)
(setq droffled1 2.00)
(setq droffled1 droffled)
)

(if (= droffled nil)
(setq droffled droffled1)
)


(setq offlong (/ droffld 2))
(setq offle (+ offlong droffled))

(setq SS (ssget (list (cons 0 "arc,ellipse,lwpolyline,spline,line,circle"))))
(setq i 0)
(setq N (sslength ss))
(while (< i N)
(setq TEXTENT (ssname SS i))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)

(setq diemchuan (vlax-curve-getPointAtDist TEXTENT 0))
(setq diemdinhhuong (vlax-curve-getPointAtDist TEXTENT 0.01))
(setq goc (angle diemchuan diemdinhhuong))
(setq diembentrai (polar diemchuan (- goc (/ pi 2)) offle))
(setq diembenphai (polar diemchuan (+ goc (/ pi 2)) offle))

(command ".offset" offlong textent diembentrai "")
(command ".offset" offlong textent diembenphai "")
(command "CHANGE" "P" "" "Properties"  "Color"  "10" "" )
(command "CHANGE" "P" "" "Properties"  "lt"  "center" "" )

(setq i (1+ i))
(setvar "osmode" luubatdiem)
)

(command "undo" "end")
(setq a (getpoint "\nChon diem ve duong bien giua cac doan truc: "))
(setq b (getpoint a "\nChon diem tiep theo: "))
(command ".line" a b "")
(getpoint "bay gio hay enter 2 lan sau do chon duong thang vua ve tren de lay khich thuoc duong kinh doan truc ")
(command "dim" "VER" pause pause "T" "%%C<>" pause *Cancel*  *Cancel* )
(getpoint "NEU CHUA VE XONG TAT CA DOAN TRUC THI AN NUT ESC, NEU DA VE XONG THI HAY CHON 1 DIEM LAM GOC TOA DO SAU DO LAY KICH THUOC CHIEU DAI CAC DOAN TRUC")

(command "ucs" "M"  PAUSE )
(command "qdim"  )
)

 

**************************************

mong anh em trong diễn đàn cùng nhau chia sẻ để diễn đàn ngày càng sôi nổi hơn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

anh em. ai có tài liệu học lisp kong. cho tôi xin với.. đang mày mò mà tài liệu hiếm quá. nếu có tài liệu của Nguyễn Hữu Lộc thi càng tốt. cảm ơn cả nhà trước nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×